In order to avoid the problems related to "up to date" software, I tried again 
to install ZMySQLda-2.0.8 installing almost "needed" software from sources 
(following the suggestion from Dieter) but in my zope instance the events.log 
show the following error (analogous to the previous one):

2007-03-12T14:30:22 ERROR Application Couldn't install ZMySQLDA
Traceback (most recent call last):
  File "/home/wwhypda/Zope-Plone/lib/python/OFS/Application.py", line 752, in 
    global_dict, global_dict, silly)
line 91, in ?
    import DA
  File "/home/wwhypda/Zope-Plone/instance02_test/Products/ZMySQLDA/DA.py", 
line 92, in ?
    from db import DB
  File "/home/wwhypda/Zope-Plone/instance02_test/Products/ZMySQLDA/db.py", 
line 89, in ?
    import _mysql
  File "build/bdist.solaris-2.10-sun4u/egg/_mysql.py", line 7, in ?
  File "build/bdist.solaris-2.10-sun4u/egg/_mysql.py", line 6, in 
ImportError: ld.so.1: python: fatal: relocation error: 
symbol mysql_set_character_set: referenced symbol not found

The installed "related" softwares are:
- MySQL 5.0.33
- Python 2.4.4
- Zope 2.10.2
- Plone 2.5.2-1
- MySQL-python-1.2.2

Did somebody have some suggestion about how-to solve my problem?
Thank you in advance,


On Thursday 22 February 2007 20:51, Dieter Maurer wrote:
> Comunian Alessandro wrote at 2007-2-22 12:30 +0100:
> > ...
> >    import _mysql
> >ImportError: ld.so.1: python: fatal: relocation error:
> >file /home/wwhypda/plone/instance_test01/lib/python/_mysql.so: symbol
> >mysql_errno: referenced symbol not found
> You MySQL-python does not fit with your MySQL version:
>   MySQL-python (that is "_mysql.so") expects the MySQL client
>   library to define a symbol "mysql_errno" and either
>   the client library is not linked at all to "_mysql" or
>   it does not define the symbol.
> Check whether you can find a more up to date version of "MySQL-python"
> (one that promissed to work with your MySQL version).
Zope-DB mailing list

Reply via email to